Subject: [GIT PULL] at91: fixes for 3.3-rc4

From: [email-masked] (Arnd Bergmann)
Date: Tue, 14 Feb 2012 00:52:39 +0000

On Monday 13 February 2012, Nicolas Ferre wrote:
> Olof, Arnd,
> 
> Here is the second "fixes" pull request. It collects a simple #ifdef fix, the
> proper use of ioremap() in the RTC driver and a set of SMC related
> modifications.
> The SMC has been modified recently and has broken the pata_at91 driver. The
> new accessors are fixing this situation. Finally, the old at91_ide driver is
> removed because it is not maintained anymore, the IDE tree is frozen and PATA
> should be used instead.
> 
> I have also verified that it merges correctly with depends/rmk/for-armsoc and all
> at91 related 3.4 material...
> 
> You can find all this here:
> 
> The following changes since commit d65b4e98d7ea3038b767b70fe8be959b2913f16d:

Hmm, this is a bit bigger than I would have hoped for an -rc4 pull request.

I've applied it now to the fixes branch because it seems necessary, I hope
this doesn't come back to us in a bad way. Olof, please have a look over
these patches as well. If you're ok with these, I'll send the entire batch
to Linus.

	Arnd